/*
 * $Id: ValidatableComponentConfig.java,v 1.2 2006/04/14 03:32:45 sugimotokenichi Exp $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2006/02/20
 */
package feat2.config;

import feat2.config.type.Identifier;



/**
 * 入力値の検証機能を持ったコンポーネントのインタフェース。
 * @author SUGIMOTO Ken-ichi
 */
public interface ValidatableComponentConfig {

    public void addValidation(ValidationConfig validation);
    // TODO 検証の依存性を考慮した順番に並べ替える
    public ValidationConfig[] getValidations();

    public ValidationConfig getValidationConfig(String name);

    /**
     * プロパティの表示名のリソースIDを返す。
     * @param propertyName
     * @return
     */
    public String getPropertyNameId(String propertyName);

    public Identifier getErrorResponse();

}
